import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    id("java")
    id("application")
    id("org.openjfx.javafxplugin") version "0.0.10"
    kotlin("jvm") version "1.6.20-M1"
}

group = "de.beadsoft"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    testImplementation("org.jetbrains.kotlin:kotlin-test-junit:1.6.10")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.6.0")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-javafx:1.6.0") // remove this and it will work, but this is required for other functionality
    implementation("org.jetbrains:annotations:22.0.0")
    implementation("org.jetbrains.kotlin:kotlin-stdlib-jdk8:1.6.10")
}

javafx {
    version = "15"
    modules("javafx.controls", "javafx.fxml", "javafx.swing")
}

tasks.test {
    useJUnit()
}

tasks.withType<KotlinCompile>() {
    kotlinOptions.jvmTarget = "11"
}
