package de.beadsoft.tsp

import javafx.application.Application
import javafx.fxml.FXMLLoader
import javafx.scene.Parent
import javafx.scene.Scene
import javafx.stage.Stage

/**
 * This class starts JavaFX and loads the primary stage.
 */
class FxStart : Application() {

    /**
     * Start of JavaFx App
     */
    override fun start(primaryStage: Stage) {
        val loader = FXMLLoader(javaClass.getResource("/fxml/appWindow.fxml"))
        val root = loader.load<Any>() as Parent // initializes FxController, but no window dimensions available

        primaryStage.title = "Demo Coroutine Delay Crash"

        primaryStage.scene = Scene(root, 600.0, 400.0)
        primaryStage.show() // This calculates the stage and borderpane values immediately. First calc of graphicsPane dimensions

        println("Start finished")
    }

}
