package de.beadsoft.tsp

import javafx.application.Application
import javafx.event.ActionEvent
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.delay
import kotlinx.coroutines.launch
import kotlinx.coroutines.runBlocking
import kotlinx.coroutines.test.withTestContext
import kotlin.system.exitProcess

/**
 * Main method and program entry.
 *
 * If no args are provided, the app runs normal with JavaFx GUI.
 * Args are foreseen to calculate only.
 *
 * @param args not used
 */
fun main(args: Array<String>) {
    // Open JavaFx Application Window
    testCoroutine()
    Application.launch(FxStart::class.java, *args) // see FxStart
}

fun testCoroutine() {
    println("\nStarting coroutine test")
    runBlocking {
        launch {
            repeat(3) {
                println("running first... $it")
                delay(500)
            }
        }
        launch(Dispatchers.Default) {
            repeat(5) {
                println("running second... $it")
                delay(200)
            }
        }
    }
    println("runBlocking ended")
}

